読者です 読者をやめる 読者になる 読者になる

c4se記:さっちゃんですよ☆

.。oO(さっちゃんですよヾ(〃l _ l)ノ゙☆)

.。oO(此のblogは、主に音樂考察Programmingに分類されますよ。ヾ(〃l _ l)ノ゙♬♪♡

音樂はSoundCloud等バラバラの場所に公開中です。申し訳ないがlinkをたどるなどして探してください。

考察は現在は主に此のblogで公表中です。

programmingは、ひろくみせるものはGitHubで、個人的なものはBitBucketで開発中です。

c4se

build #Ruby 1.9.2p290 on #Cygwin 1.7.9

win32oleにてerrorの為、[CygwinRuby 1.9.2-p290 が入らないときー - basyura’s blog http://d.hatena.ne.jp/basyura/20110721/p1 ]に従い、

export LIBRARY_PATH=/usr/lib/w32api:$LD_LIBRARY_PATH

其の後[libyaml http://pyyaml.org/wiki/LibYAML ]make install


tkでエラーが出る。/usr/binlibtcl48.alibtcl48.aが無い。見てみるとlibtcl5.8.a云々しかない。ハイ。
Makefile書き換えたりTcl/Tkをバージョン下げても意味無し。足掻くのを辞めて、ruby-1.9.2-p290/ext/tkフォルダ毎削除する。make通った。


make installで、ruby.exerubyw.exeがコピーされてない。嗚呼。うん。多分上書きインストールしたからだね…。結局前記二つと、ruby-1.9.2-p290/binの中身七つを、/usr/bin (CygwinだとC:\Cygwin\bin)へペースト。


以上で正常動作してるみたい。
取り敢えず gem update --systemgem updategem install bundler, heroku をしました。